### Method

# Phosh DBusLoginSession call_set_brightness_sync

#### Declaration [src]

    gboolean
    phosh_dbus_login_session_call_set_brightness_sync (
      PhoshDBusLoginSession* proxy,
      const gchar* arg_subsystem,
      const gchar* arg_name,
      guint arg_brightness,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously invokes the SetBrightness() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

See `phosh_dbus_login_session_call_set_brightness()` for the asynchronous version of this method.

#### Parameters

`arg_subsystem`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_name`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_brightness`

  Type: `guint`

  Argument to pass with the method invocation.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the call succeeded, `FALSE` if `error` is set.